//armor
		class DestructionEffects
		{
			class Fire1
			{
				simulation = "particles";
				type = "BarelDestructionFire";
				position = "destructionEffect1";
				intensity = 0.15;
				interval = 1;
				lifeTime = 3;
			};
			class Smoke1
			{
				simulation = "particles";
				type = "BarelDestructionSmoke";
				position = "destructionEffect1";
				intensity = 0.15;
				interval = 1;
				lifeTime = 3.2;
			};
		};
		armor = 40;
		damageResistance = 0.00485;
		armorStructured = 1;
		destrType = "DestructWreck";
		crewVulnerable = 1;
		dammageHalf[] = {};
		dammageFull[] = {};
		damageEffect = "AirDestructionEffects";
		class Damage
		{
			tex[] = {};
			mat[] =
			{
				"uns_f4e\data\body.rvmat",
				"uns_f4e\skins_wreck\body_damage.rvmat",
				"uns_f4e\skins_wreck\body_destruct.rvmat",

				"uns_f4e\data\wings.rvmat",
				"uns_f4e\skins_wreck\wings_damage.rvmat",
				"uns_f4e\skins_wreck\wings_destruct.rvmat"
			};
		};

		class Hitpoints: Hitpoints
		{
			class HitHull: HitHull
			{
				name = "HitHull";
				visual = "Hit_Hull";
				armor = 4.5;
				explosionShielding = 3;
				passThrough = 1;
				radius = 0.5;
				minimalHit = 0.05;
				depends = "0";
				material = -1;
			};
			class HitEngine1: HitHull
			{
				name = "HitEngine1";
				visual = "";
				armor = 3.5;
				explosionShielding = 3.5;
				passThrough = 1;
				radius = 0.6;
				minimalHit = 0.02;
			};
			class HitEngine2: HitEngine1
			{
				name = "HitEngine2";
			};
			class HitAvionics: HitHull
			{
				name = "HitAvionics";
				visual = "Hit_Avionics";
				armor = 3;
				explosionShielding = 3.5;
				passThrough = 0.6;
				radius = 0.2;
				minimalHit = 0.05;
			};
			class HitFuel: HitHull
			{
				name = "HitFuel";
				visual = "";
				armor = 3;
				explosionShielding = 4;
				passThrough = 0.5;
				radius = 0.125;
				minimalHit = 0.1;
			};
			class HitGlass1: HitHull
			{
				name = "HitGlass1";
				visual = "Hit_Glass1";
				armor = 1.2;
				explosionShielding = 3;
				passThrough = 0;
				radius = 0.1;
				minimalHit = 0.1;
			};
			class HitLAileron: HitHull
			{
				name = "HitLAileron";
				visual = "Hit_LAileron";
				armor = 1.8;
				explosionShielding = 3;
				passThrough = 0.3;
				radius = 0.25;
				minimalHit = 0.05;
			};
			class HitRAileron: HitLAileron
			{
				name = "HitRAileron";
				visual = "Hit_RAileron";
			};
			class HitLCRudder: HitHull
			{
				name = "HitLCRudder";
				visual = "Hit_LCRudder";
				armor = 2;
				explosionShielding = 3;
				passThrough = 0.3;
				radius = 0.2;
				minimalHit = 0.05;
			};
			class HitLCElevator: HitHull
			{
				name = "HitLCElevator";
				visual = "Hit_LCElevator";
				armor = 1.5;
				explosionShielding = 3;
				passThrough = 0.3;
				radius = 0.3;
				minimalHit = 0.05;
			};
			class HitRElevator: HitLCElevator
			{
				name = "HitRElevator";
				visual = "Hit_RElevator";
			};
		};
		class AnimationSources
		{
			class ab_switch
			{
				source = "user";
				animPeriod = 0.001;
				initPhase = 0;
			};			

			class canopy_hide
			{
				source="user";
				animPeriod=0.001;
				initPhase=0;
			};			
			class ejection_seat_hide
			{
				source="user";
				animPeriod=0.001;
				initPhase=0;
			};			
			class ejection_seat_motion
			{
				source="user";
				animPeriod=0.25;
				initPhase=0;
			};			
//gun anims
			class nose_MuzzleFlashROT
			{
				source = "ammoRandom";
				weapon = "uns_M61A1";
			};
			class tailhook
			{
				displayName = "Extend Tailhook";
				source = "user";
				animPeriod = 2.5;
				initPhase = 0;
			};
			class fuel_probe
			{
				source = "user";
				animPeriod = 0;
				initPhase = 0;
			};
			class ABSwitch
			{
				source = "user";
				animperiod = 0.1;
				initphase = 0;
			};
			class wingfold_left: ABSwitch
			{
				displayName = "Fold left wing";
				animPeriod = 5;
				initPhase = 0;
			};
			class wingfold_right: wingfold_left
			{
				displayName = "Fold right wing";
			};
/*
//old cockpit anims
			class tank_switch
			{
				source = "user";
				animPeriod = 1.5;
				initPhase = 0;
			};
			class rio_tank_switch: tank_switch{};
			class tank_switch_ind: tank_switch
			{
				animPeriod = 1;
				initPhase = 1;
			};
			class tank_drop_ind: tank_switch_ind{};
			class wing_knob: wingfold_left
			{
				animPeriod = 3;
			};
			class rio_wing_knob: wing_knob{};
			class wing_knob_ind: tank_switch_ind{};
*/
			// Copied from Firewill's post https://forums.bistudio.com/forums/topic/203094-jets-wheelsuspension-physx/
			class Damper_1_source
			{
			    source = "damper";
			    wheel = "wheel_1";
			};
			class Damper_2_source
			{
			    source = "damper";
			    wheel = "wheel_2";
			};
			class Damper_3_source
			{
			    source = "damper";
			    wheel = "wheel_3";
			};
			class Wheel_1_source
			{
			    source = "wheel";
			    wheel = "wheel_1";
			};
			class Wheel_2_source
			{
			    source = "wheel";
			    wheel = "wheel_2";
			};
			class Wheel_3_source
			{
			    source = "wheel";
			    wheel = "wheel_3";
			};

			class HitHull
			{
				source = "Hit";
				hitpoint = "HitHull";
				raw=1;
			};
			class HitFuel: HitHull
			{
				hitpoint = "HitFuel";
			};
			class HitGlass1 : HitHull
			{
				hitpoint = "HitGlass1";
			};
			class HitGlass2 : HitHull
			{
				hitpoint = "HitGlass2";
			};
			class HitEngine1 : HitHull
			{
				hitpoint = "HitEngine1";
			};
			class HitEngine2 : HitHull
			{
				hitpoint = "HitEngine2";
			};
			class HitLAileron : HitHull
			{
				hitpoint = "HitLAileron";
			};
			class HitRAileron : HitHull
			{
				hitpoint = "HitRAileron";
			};
			class HitLCRudder : HitHull
			{
				hitpoint = "HitLCRudder";
			};
			class HitLCElevator : HitHull
			{
				hitpoint = "HitLCElevator";
			};
			class HitRElevator : HitHull
			{
				hitpoint = "HitRElevator";
			};
		};

