
	class SensorsManagerComponent
	{
		class Components
		{
			class ActiveRadarSensorComponent: SensorTemplateActiveRadar
			{
				class AirTarget
				{
					minRange=50;
					maxRange=12000;
					objectDistanceLimitCoef=-1;
					viewDistanceLimitCoef=-1;
				};
				class GroundTarget
				{
					minRange=50;
					maxRange=6000;
					objectDistanceLimitCoef=-1;
					viewDistanceLimitCoef=-1;
				};
				angleRangeHorizontal=45;
				angleRangeVertical=90;
				aimDown = 0;
				groundNoiseDistanceCoef = 0.25;
				maxSpeedThreshold = 40;
				minSpeedThreshold = 30;
				typeRecognitionDistance = 10000;
			};
			class IRSensorComponent: SensorTemplateIR
			{
				class AirTarget
				{
					minRange = 500;
					maxRange = 3500;
					objectDistanceLimitCoef = 1;
					viewDistanceLimitCoef = 1;
				};
				class GroundTarget : AirTarget
				{
					maxRange = 2000;
				};
			};
			class VisualSensorComponent: SensorTemplateVisual
					{
						class AirTarget
						{
							minRange = 1;
							maxRange = 5000;
							objectDistanceLimitCoef = 1;
							viewDistanceLimitCoef = 1;
						};
						class GroundTarget
						{
							minRange = 1;
							maxRange = 5000;
							objectDistanceLimitCoef = 1;
							viewDistanceLimitCoef = 1;
						};
						typeRecognitionDistance = 1250;
						aimDown = 15;
						angleRangeHorizontal = 90;
						angleRangeVertical = 55;
						nightRangeCoef = 0.75;
					};
		};
	};
	class VehicleSystemsDisplayManagerComponentLeft: VehicleSystemsTemplateLeftSensorsPilot
	{
		class Components: components
		{
			class CrewDisplay
			{
			};
			class SensorDisplay
			{
				componentType="SensorsDisplayComponent";
				range[] = {14000,10000,5000,2500,1000};
				resource="RscCustomInfoSensors";
			};
		};
	};
	class VehicleSystemsDisplayManagerComponentRight: VehicleSystemsTemplateRightSensorsPilot
	{
		defaultDisplay="SensorDisplay";
		class Components: components
		{
			class CrewDisplay
			{
			};
			class SensorDisplay
			{
				componentType="SensorsDisplayComponent";
				range[] = {20000,15000,10000,5000,2500};
				resource="RscCustomInfoSensors";
			};
		};
	};