//f4 afterburner
private ["_MaxIntensity","_Boost","_leftengine","_rightengine","_emitters","_Intensity","_looptime", "_plane"];

_MaxIntensity = 1;
_Boost = 0.5;
_Intensity = 0.4;

_maxspeed = 2695;
_plane = _this;
_plane animate ["ABSwitch",1];
sleep 0.5;

_plane say3D "uns_F111_Burner";
_timestamp = time;
_leftengine = "#particlesource" createVehicle position _this;
_rightengine = "#particlesource" createVehicle position _this;
_emitters = [_leftengine,_rightengine];
{_x setParticleRandom [0.05,[0.05,0.05,0.05],[0.05,0.05,0.05],0,0.8,[0.1,0.1,0.1,0],0,0]} foreach _emitters;
{_x setDropInterval 0} foreach _emitters;
_looptime = 0.1;
_runtime = 200;
while {(alive _plane) and (_plane animationphase "ABSwitch" >= 0.1)} do
{
	if (isengineon _plane) then
	{
		if (time >= (_timestamp + 0.8)) then
		{
			_plane say3D "UNS_F111_Burner";
			_timestamp = time;
		};
		if (_Intensity < _MaxIntensity) then {_Intensity = _Intensity + 0.1*(15*_looptime)};
		if ((speed _plane) < _maxspeed) then {_plane setVelocity [(velocity _plane select 0)+((vectordir _plane) select 0)*((_Boost*_Intensity/2)*(15*_looptime)),(velocity _plane select 1)+((vectordir _plane) select 1)*((_Boost*_Intensity/2)*(15*_looptime)),(velocity _plane select 2)+((vectordir _plane) select 2)*((_Boost*_Intensity/2)*(15*_looptime))]};
		if (fuel _plane > 0) then {_plane setFuel ((fuel _plane)-((1/18000)*(3*_looptime)))};
	}
	else {if (_Intensity > 0) then {_Intensity = _Intensity - 0.2*(15*_looptime)}};

	_leftengine setParticleParams ["\uns_compat\Ca\data\cl_exp","","Billboard",1,0.07,(_plane selectionposition "engineglowl_axis"),[(velocity _this select 0) - ((vectordir _this) select 0)*30,(velocity _this select 1) - ((vectordir _this) select 1)*30,(velocity _this select 2) - ((vectordir _this) select 2)*30],1,1.2745,1,0,[0.6+(2*(speed _this/_maxspeed)),0.5+(10*(speed _this/_maxspeed))],[[0.040,0.100,0.900,0.1500*_Intensity],[0.200,0.200,0.800,0.1000*_Intensity],[0.500,0.200,0.000,0.0250*_Intensity],[0.000,0.000,0.000,0.0000*_Intensity]],[0],0,0,"","",_this];

	_rightengine setParticleParams ["\uns_compat\Ca\data\cl_exp","","Billboard",1,0.07,(_plane selectionposition "engineglowr_axis"),[(velocity _this select 0) - ((vectordir _this) select 0)*30,(velocity _this select 1) - ((vectordir _this) select 1)*30,(velocity _this select 2) - ((vectordir _this) select 2)*30],1,1.2745,1,0,[0.6+(2*(speed _this/_maxspeed)),0.5+(10*(speed _this/_maxspeed))],[[0.040,0.100,0.900,0.1500*_Intensity],[0.200,0.200,0.800,0.1000*_Intensity],[0.500,0.200,0.000,0.0250*_Intensity],[0.000,0.000,0.000,0.0000*_Intensity]],[0],0,0,"","",_this];

	{_x setpos (getpos _plane)} foreach _emitters;
	if (_Intensity > 0) then {{_x setDropInterval 0.001} foreach _emitters} else {{_x setDropInterval 0} foreach _emitters};

	sleep 0.05; // mod by Crowe

	_runtime = _runtime - 1;
};
{ deleteVehicle _x} foreach [_leftengine, _rightengine];
sleep 3;