// Written by TeTeT for unsung
// operate wings on carrier aircraft
// Usage: [_plane, _mode, _instant] call functionname
// _plane is the plane object
// _mode is 'lower' or 'raise'
// _instant is boolean, true resolves animations instantaneous

if (isDedicated) exitWith {};

params [ ["_plane", ObjNull], ["_mode", "lower"], ["_instant", false] ];

if (_mode == "raise") then 
{
	_plane animate ["wingfold_left",1, _instant];
	_plane animate ["wingfold_right",1, _instant];
} else {
	_plane animate ["wingfold_left",0, _instant];
	_plane animate ["wingfold_right",0, _instant];
};

_plane;